aboutsummaryrefslogtreecommitdiff
path: root/src/test/runtests.sh
diff options
context:
space:
mode:
authorAustin English <austinenglish@gmail.com>2018-12-03 13:53:14 -0600
committerWilliam Hubbs <w.d.hubbs@gmail.com>2018-12-03 15:26:42 -0600
commitfb4dd351c7ef2614076309d630e163ff963ac8bf (patch)
treea79946e1cd5829dd2c5c46a57c9532b93969474c /src/test/runtests.sh
parent10dc65cc46e4f16f1b1f9822f3b687f2e58e4b40 (diff)
misc: make checks always fatal
This fixes #263.
Diffstat (limited to 'src/test/runtests.sh')
-rwxr-xr-xsrc/test/runtests.sh11
1 files changed, 4 insertions, 7 deletions
diff --git a/src/test/runtests.sh b/src/test/runtests.sh
index 81edac2b..79c9a9b2 100755
--- a/src/test/runtests.sh
+++ b/src/test/runtests.sh
@@ -21,13 +21,10 @@ checkit() {
ret=0
fail_on_out() {
- # If FATAL_CHECKS is set, then fail when $out has output:
- if [ -n "${FATAL_CHECKS}" ]; then
- if [ -n "${out}" ]; then
- eerror "Last command failed and FATAL_CHECKS is set; failing"
- exit 1
- fi
- fi
+ if [ -n "${out}" ]; then
+ eerror "Last command failed; failing"
+ exit 1
+ fi
}
ebegin "Checking exported symbols in libeinfo.so (data)"